const carpets = [
  "minecraft:black_carpet",
  "minecraft:blue_carpet",
  "minecraft:brown_carpet",
  "minecraft:cyan_carpet",
  "minecraft:gray_carpet",
  "minecraft:green_carpet",
  "minecraft:light_blue_carpet",
  "minecraft:light_gray_carpet",
  "minecraft:lime_carpet",
  "minecraft:magenta_carpet",
  "minecraft:orange_carpet",
  "minecraft:pink_carpet",
  "minecraft:purple_carpet",
  "minecraft:red_carpet",
  "minecraft:white_carpet",
  "minecraft:yellow_carpet",
]

const wools = [
  "minecraft:black_wool",
  "minecraft:blue_wool",
  "minecraft:brown_wool",
  "minecraft:cyan_wool",
  "minecraft:gray_wool",
  "minecraft:green_wool",
  "minecraft:light_blue_wool",
  "minecraft:light_gray_wool",
  "minecraft:lime_wool",
  "minecraft:magenta_wool",
  "minecraft:orange_wool",
  "minecraft:pink_wool",
  "minecraft:purple_wool",
  "minecraft:red_wool",
  "minecraft:white_wool",
  "minecraft:yellow_wool"
]

export const mobList = {
  //Passive
  "minecraft:allay": { family: "passive", transfigurable: false },
  "minecraft:armadillo": { family: "passive", items: ["minecraft:armadillo_scute"], transfigurable: true },
  "minecraft:axolotl": { family: "passive", transfigurable: false },
  "minecraft:bat": { family: "passive", transfigurable: false },
  "minecraft:bee": { family: "passive", transfigurable: false },
  "minecraft:camel": { family: "passive", transfigurable: false },
  "minecraft:cat": { family: "passive", transfigurable: false },
  "minecraft:chicken": { family: "passive", items: ["minecraft:egg", "minecraft:chicken", "minecraft:feather"], transfigurable: true },
  "minecraft:cod": { family: "passive", transfigurable: false },
  "minecraft:cow": { family: "passive", items: ["minecraft:beef", "minecraft:leather", "minecraft:milk_bucket"], transfigurable: true },
  "minecraft:dolphin": { family: "passive", transfigurable: false },
  "minecraft:donkey": { family: "passive", transfigurable: false },
  "minecraft:fox": { family: "passive", transfigurable: false },
  "minecraft:frog": { family: "passive", transfigurable: false },
  "minecraft:glow_squid": { family: "passive", transfigurable: false },
  "minecraft:goat": { family: "passive", items: ["minecraft:goat_horn"], transfigurable: true },
  "minecraft:horse": { family: "passive", items: ["minecraft:saddle"], transfigurable: true },
  "minecraft:iron_golem": { family: "passive", transfigurable: false },
  "minecraft:llama": { family: "passive", items: carpets, transfigurable: true },
  "minecraft:mooshroom": { family: "passive", items: ["minecraft:red_mushroom", "minecraft:mushroom_stew"], transfigurable: true },
  "minecraft:mule": { family: "passive", transfigurable: false },
  "minecraft:ocelot": { family: "passive", transfigurable: false },
  "minecraft:panda": { family: "passive", items: ["minecraft:bamboo"], transfigurable: true },
  "minecraft:parrot": { family: "passive", transfigurable: false },
  "minecraft:pig": { family: "passive", items: ["minecraft:porkchop"], transfigurable: true },
  "minecraft:polar_bear": { family: "passive", transfigurable: false },
  "minecraft:pufferfish": { family: "passive", transfigurable: false },
  "minecraft:rabbit": { family: "passive", items: ["minecraft:rabbit", "minecraft:rabbit_foot", "minecraft:rabbit_hide"], transfigurable: true },
  "minecraft:salmon": { family: "passive", transfigurable: false },
  "minecraft:sheep": { family: "passive", items: [wools, "minecraft:mutton"], transfigurable: true },
  "minecraft:skeleton_horse": { family: "passive", transfigurable: false },
  "minecraft:sniffer": { family: "passive", transfigurable: false },
  "minecraft:snow_golem": { family: "passive", transfigurable: false },
  "minecraft:squid": { family: "passive", transfigurable: false },
  "minecraft:strider": { family: "passive", transfigurable: false },
  "minecraft:tadpole": { family: "passive", transfigurable: false },
  "minecraft:trader_llama": { family: "passive", transfigurable: false },
  "minecraft:tropicalfish": { family: "passive", transfigurable: false },
  "minecraft:turtle": { family: "passive", items: ["minecraft:seagrass", "minecraft:turtle_scute"], transfigurable: true },
  "minecraft:villager": { family: "passive", transfigurable: false },
  "minecraft:wandering_trader": { family: "passive", transfigurable: false },
  "minecraft:wolf": { family: "passive", transfigurable: false },
  //Hostile
  "minecraft:blaze": { family: "hostile", items: ["minecraft:blaze_rod"], transfigurable: true },
  "minecraft:bogged": { family: "hostile", transfigurable: false },
  "minecraft:breeze": { family: "hostile", transfigurable: false },
  "minecraft:cave_spider": { family: "hostile", transfigurable: false },
  "minecraft:creeper": { family: "hostile", items: ["minecraft:gunpowder"], transfigurable: true },
  "minecraft:drowned": { family: "hostile", transfigurable: false },
  "minecraft:enderman": { family: "hostile", items: ["minecraft:ender_pearl"], transfigurable: true },
  "minecraft:endermite": { family: "hostile", transfigurable: false },
  "minecraft:evocation_illager": { family: "hostile", transfigurable: false },
  "minecraft:ghast": { family: "hostile", transfigurable: false },
  "minecraft:guardian": { family: "hostile", transfigurable: false },
  "minecraft:hoglin": { family: "hostile", transfigurable: false },
  "minecraft:husk": { family: "hostile", transfigurable: false },
  "minecraft:magma_cube": { family: "hostile", transfigurable: false },
  "minecraft:phantom": { family: "hostile", items: ["minecraft:phantom_membrane"], transfigurable: true },
  "minecraft:piglin": { family: "hostile", transfigurable: false },
  "minecraft:piglin_brute": { family: "hostile", transfigurable: false },
  "minecraft:pillager": { family: "hostile", transfigurable: false },
  "minecraft:ravager": { family: "hostile", transfigurable: false },
  "minecraft:shulker": { family: "hostile", transfigurable: false },
  "minecraft:silverfish": { family: "hostile", transfigurable: false },
  "minecraft:skeleton": { family: "hostile", items: ["minecraft:bone", "minecraft:arrow"], transfigurable: true },
  "minecraft:slime": { family: "hostile", items: ["minecraft:slime_ball"], transfigurable: true },
  "minecraft:spider": { family: "hostile", items: ["minecraft:string", "minecraft:spider_eye"], transfigurable: true },
  "minecraft:stray": { family: "hostile", transfigurable: false },
  "minecraft:vex": { family: "hostile", transfigurable: false },
  "minecraft:vindicator": { family: "hostile", items: ["minecraft:iron_axe"], transfigurable: true },
  "minecraft:witch": { family: "hostile", transfigurable: false },
  "minecraft:wither_skeleton": { family: "hostile", items: ["minecraft:coal"], transfigurable: true },
  "minecraft:zoglin": { family: "hostile", transfigurable: false },
  "minecraft:zombie": { family: "hostile", items: ["minecraft:rotten_flesh"], transfigurable: true },
  "minecraft:zombie_pigman": { family: "hostile", transfigurable: false },
  "minecraft:zombie_villager": { family: "hostile", transfigurable: false },
  //Boss
  "minecraft:ender_dragon": { family: "boss", transfigurable: false },
  "minecraft:wither": { family: "boss", transfigurable: false },
  "minecraft:warden": { family: "boss", transfigurable: false },
  "minecraft:elder_guardian": { family: "boss", transfigurable: false },
}