export { sparksSpell } from "./1. Sparks";
export { explosionSpell } from "./2. Explosion";
export { pushSpell } from "./3. Push";
export { growSpell } from "./4. Grow";
export { waterSpell } from "./5. Water";
export { fireSpell } from "./6. Fire";
export { lightSpell } from "./7. Light";
export { poisonSpell } from "./8. Poison";
export { healingSpell } from "./9. Healing";
export { levitatingSpell } from "./10. Levitating";
export { shieldSpell } from "./11. Shield";
export { fogSpell } from "./12. Fog";
export { iceSpell } from "./13. Ice";
export { stunSpell } from "./14. Stun";
export { spongeSpell } from "./15. Sponge";
export { musicSpell } from "./16. Music";
export { revealingSpell } from "./17. Revealing";
export { slowFallSpell } from "./18. SlowFall";
export { weatherSpell } from "./19. Weather";
export { transformSpell } from "./20. Transform";

export let spellsArray = [
  { id: 'empty', locked: false, cooldown: 0, xpCost: 0, displayName: "None" }, //xpCost: 0
  { id: 'spark', locked: false, cooldown: 3, xpCost: 0, displayName: "Spark" }, //xpCost: 3
  { id: 'explosion', locked: true, cooldown: 10, xpCost: 0, displayName: "Explosion" }, //xpCost: 10
  { id: 'push', locked: true, cooldown: 5, xpCost: 0, displayName: "Push" }, //xpCost: 
  { id: 'grow', locked: true, cooldown: 5, xpCost: 0, displayName: "Grow" }, //xpCost: 
  { id: 'water', locked: true, cooldown: 10, xpCost: 0, displayName: "Water" }, //xpCost: 
  { id: 'fire', locked: true, cooldown: 10, xpCost: 0, displayName: "Fire" }, //xpCost: 
  { id: 'light', locked: true, cooldown: 13, xpCost: 0, displayName: "Light" }, //xpCost: 
  { id: 'poison', locked: true, cooldown: 10, xpCost: 0, displayName: "Poison" }, //xpCost: 
  { id: 'healing', locked: true, cooldown: 10, xpCost: 0, displayName: "Healing" }, //xpCost: 
  { id: 'levitating', locked: true, cooldown: 7, xpCost: 0, displayName: "Levitating" }, //xpCost: 
  { id: 'shield', locked: true, cooldown: 15, xpCost: 0, displayName: "Shield" }, //xpCost: 
  { id: 'fog', locked: true, cooldown: 15, xpCost: 0, displayName: "Fog" }, //xpCost: 
  { id: 'ice', locked: true, cooldown: 10, xpCost: 0, displayName: "Ice" }, //xpCost: 
  { id: 'stun', locked: true, cooldown: 5, xpCost: 0, displayName: "Stun" }, //xpCost: 
  { id: 'sponge', locked: true, cooldown: 15, xpCost: 0, displayName: "Drying" }, //xpCost: 
  { id: 'music', locked: true, cooldown: 20, xpCost: 0, displayName: "Music" }, //xpCost: 
  { id: 'revealing', locked: true, cooldown: 15, xpCost: 0, displayName: "Revealing" }, //xpCost: 
  { id: 'slow_fall', locked: true, cooldown: 3, xpCost: 0, displayName: "Slow Fall" }, //xpCost: 
  { id: 'weather', locked: true, cooldown: 30, xpCost: 0, displayName: "Weather" }, //xpCost: 
  { id: 'transform', locked: true, cooldown: 25, xpCost: 0, displayName: "Transform" } //xpCost: 
]